Index: tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java
===================================================================
--- tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 2401)
+++ tmp/org.txm.lexicaltable.core/src/org/txm/lexicaltable/core/functions/LexicalTable.java	(revision 2402)
@@ -41,41 +41,43 @@
  */
 // TODO: SJ: add a fMax filter
 public class LexicalTable extends TXMResult {
-
+	
 	public static Integer LEXICALTABLE_COUNTER = new Integer(1);
+	
 	public static String SYMBOL_BASE = "LexicalTable_"; //$NON-NLS-1$
-
+	
 	/** stores the data computed */
 	protected ILexicalTable statsData;
-
+	
 	/**
 	 * The property.
 	 */
-	@Parameter(key=TXMPreferences.UNIT_PROPERTY)
+	@Parameter(key = TXMPreferences.UNIT_PROPERTY)
 	private WordProperty property;
-
+	
 	/**
 	 * Minimum frequency.
 	 */
-	@Parameter(key=TXMPreferences.F_MIN)
+	@Parameter(key = TXMPreferences.F_MIN)
 	private int fMinFilter;
-
+	
 	/**
 	 * Maximum number of lines.
 	 */
-	@Parameter(key=TXMPreferences.V_MAX)
+	@Parameter(key = TXMPreferences.V_MAX)
 	private int vMaxFilter;
-
+	
 	/**
-	 * if true and if built from a partition index, the #RESTE# line is added containing the cumulated frequencies of the occurrences not counted in the lexical table (corpus frequencies minus the index frequencies)
+	 * if true and if built from a partition index, the #RESTE# line is added containing the cumulated frequencies of the occurrences not counted in the lexical table (corpus frequencies minus the
+	 * index frequencies)
 	 */
-	@Parameter(key=LexicalTablePreferences.USE_ALL_OCCURRENCES)
+	@Parameter(key = LexicalTablePreferences.USE_ALL_OCCURRENCES)
 	protected boolean useAllOccurrences;
-
+	
 	/**
 	 * true if the data has been set with lt.setData(...)
 	 */
-	@Parameter(key=LexicalTablePreferences.EXTERN_DATA)
+	@Parameter(key = LexicalTablePreferences.EXTERN_DATA)
 	protected boolean pExternData;
 	
 	/**
@@ -88,19 +90,20 @@
 		super(corpus);
 		try { // create empty LT to store infos
 			String[] rowNames = {};
-			String[] colNames = {corpus.getName(), NLS.bind("{0}-{1}", corpus.getCorpusParent().getName(), corpus.getName())};
+			String[] colNames = { corpus.getName(), NLS.bind("{0}-{1}", corpus.getCorpusParent().getName(), corpus.getName()) };
 			int[][] matrix = new int[0][2];
 			this.statsData = new LexicalTableImpl(matrix, rowNames, colNames);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			e.printStackTrace();
 		}
 	}
-
+	
 	/**
 	 * 
 	 * @param index
 	 */
-	public LexicalTable(PartitionIndex index)	{
+	public LexicalTable(PartitionIndex index) {
 		super(index);
 		
 		this.property = index.getProperties().get(0);
@@ -112,33 +115,35 @@
 			String[] colNames = names.toArray(new String[names.size()]);
 			int[][] matrix = new int[0][names.size()];
 			this.statsData = new LexicalTableImpl(matrix, rowNames, colNames);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			e.printStackTrace();
 		}
 	}
-
+	
 	/**
 	 * 
 	 * @param partition
 	 */
-	public LexicalTable(Partition partition)	{
+	public LexicalTable(Partition partition) {
 		super(partition);
-
+		
 		try { // create empty LT to store infos
 			String[] rowNames = {};
 			List<String> names = partition.getPartNames();
 			String[] colNames = names.toArray(new String[names.size()]);
 			int[][] matrix = new int[0][names.size()];
 			this.statsData = new LexicalTableImpl(matrix, rowNames, colNames);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			e.printStackTrace();
 		}
 	}
-
-	public LexicalTable(String parametersNodePath)	{
+	
+	public LexicalTable(String parametersNodePath) {
 		super(parametersNodePath);
 	}
-
+	
 	public LexicalTable(CQPCorpus corpus) {
 		super(corpus);
 		
@@ -147,11 +152,12 @@
 			String[] colNames = {};
 			int[][] matrix = new int[0][0];
 			this.statsData = new LexicalTableImpl(matrix, rowNames, colNames);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			e.printStackTrace();
 		}
 	}
-
+	
 	@Override
 	public boolean loadParameters() {
 		try {
@@ -164,32 +170,32 @@
 		}
 		return true;
 	}
-
+	
 	@Override
 	public boolean saveParameters() {
 		this.saveParameter(TBXPreferences.UNIT_PROPERTY, this.property);
 		return true;
 	}
-
+	
 	/**
 	 * 
 	 * @param partition
 	 * @throws Exception
 	 */
 	protected LexicalTableImpl _computeFromPartition(Partition partition) throws Exception {
-
+		
 		// parts lexicons
 		List<CQPLexicon> partsLexicons = new ArrayList<CQPLexicon>();
 		for (int i = 0; i < partition.getPartsCount(); i++) {
 			partsLexicons.add(CQPLexicon.getLexicon(partition.getParts().get(i), this.property, this.monitor, false));
 		}
-
+		
 		// Corpus global lexicon
 		CQPLexicon corpusLexicon = CQPLexicon.getLexicon(partition.getParent(), this.property, this.monitor, false);
-
+		
 		ArrayList<String> filteredForms = new ArrayList<String>();
-		//create a copy and filter line with Fmin;
-		for (int i = 0 ; i < corpusLexicon.getFreq().length ; i++) {
+		// create a copy and filter line with Fmin;
+		for (int i = 0; i < corpusLexicon.getFreq().length; i++) {
 			if (corpusLexicon.getFreq()[i] >= this.fMinFilter) {
 				filteredForms.add(corpusLexicon.getForms()[i]);
 			}
@@ -198,10 +204,10 @@
 		for (int i = 0; i < filteredForms.size(); i++) {
 			entries2index.put(filteredForms.get(i), i);
 		}
-
+		
 		int[][] mat = new int[filteredForms.size()][partsLexicons.size()];
-
-
+		
+		
 		Integer id = null;
 		for (int i = 0; i < partsLexicons.size(); i++) {
 			CQPLexicon l = partsLexicons.get(i);
@@ -215,39 +221,40 @@
 			}
 		}
 		try {
-			if (statsData != null)	{
+			if (statsData != null) {
 				RWorkspace.getRWorkspaceInstance().removeVariableFromWorkspace(statsData.getSymbol());
 			}
-		} catch (RWorkspaceException e) {
+		}
+		catch (RWorkspaceException e) {
 			e.printStackTrace();
 			return null;
 		}
 		
-		return new LexicalTableImpl(mat, filteredForms.toArray(new String[]{}), partition.getPartNames().toArray(new String[] {}));
+		return new LexicalTableImpl(mat, filteredForms.toArray(new String[] {}), partition.getPartNames().toArray(new String[] {}));
 	}
-
+	
 	/**
 	 * Creates the lexical table.
 	 *
 	 * @param indexes the vocabularies
 	 * @param symbol the symbol
-	 * @param useAllOccurrences 
+	 * @param useAllOccurrences
 	 * @return the lexical table
 	 * @throws RWorkspaceException the r workspace exception
 	 */
 	protected LexicalTableImpl _computeFromIndexes(List<PartitionIndex> indexes) throws RWorkspaceException {
-
+		
 		Log.fine(LexicalTableCoreMessages.bind(LexicalTableCoreMessages.info_buildingLexicalTableWith, indexes));
-
+		
 		PartitionIndex partIndex = indexes.get(0);// FRIGO
 		Partition partition = partIndex.getPartition(); // the Index is computed on a partition
-
+		
 		if (!partIndex.isComputedWithPartition()) {
 			throw new IllegalArgumentException("Index is not computed with a partition. Aborting.");
 		}
-
+		
 		this.property = partIndex.getProperties().get(0);
-
+		
 		HashMap<String, Line> alllines = new HashMap<String, Line>();
 		// merge lines of all indexes
 		for (PartitionIndex voc : indexes) {
@@ -266,9 +273,9 @@
 				}
 			}
 		}
-
+		
 		List<String> colnames = partIndex.getPartnames();
-
+		
 		Collection<Line> lines = alllines.values();
 		List<String> rownames = new ArrayList<String>(lines.size());
 		for (Line l : lines) {
@@ -278,9 +285,9 @@
 		if (this.useAllOccurrences) {
 			extra = 1;
 		}
-
-		//String[] entries = new String[alllines.size() + extra];
-
+		
+		// String[] entries = new String[alllines.size() + extra];
+		
 		int[][] mat = new int[rownames.size() + extra][colnames.size()];
 		int[] margins = new int[colnames.size()]; // compute margins
 		int i = 0;
@@ -289,19 +296,19 @@
 				mat[i][j] = l.getFrequency(j);
 				margins[j] += l.getFrequency(j);
 			}
-//			entries[i++] = l.toString();
+			// entries[i++] = l.toString();
 			i++;
 		}
-
+		
 		if (this.useAllOccurrences) {
 			try {
 				int[] partitionSizes = partition.getPartSizes();
 				int[] reste = new int[partitionSizes.length];
-
-				//System.out.println("margins : "+Arrays.toString(margins));
-				//System.out.println("partsizes : "+Arrays.toString(partitionSizes));
-
-				for (i = 0 ; i < reste.length ; i++) {
+				
+				// System.out.println("margins : "+Arrays.toString(margins));
+				// System.out.println("partsizes : "+Arrays.toString(partitionSizes));
+				
+				for (i = 0; i < reste.length; i++) {
 					reste[i] = partitionSizes[i] - margins[i];
 					if (reste[i] < 0) {
 						Log.severe(LexicalTableCoreMessages.error_marginIsHigherThanThePartitionSize);
@@ -309,93 +316,94 @@
 					}
 					mat[lines.size()][i] = reste[i];
 				}
-				//entries[lines.size()] = "#RESTE#"; //$NON-NLS-1$
+				// entries[lines.size()] = "#RESTE#"; //$NON-NLS-1$
 				rownames.add("#RESTE#"); //$NON-NLS-1$
-				//System.out.println("rownames: "+rownames);
-				//System.out.println("reste : "+Arrays.toString(reste));
-			} catch (CqiClientException e) {
+				// System.out.println("rownames: "+rownames);
+				// System.out.println("reste : "+Arrays.toString(reste));
+			}
+			catch (CqiClientException e) {
 				// TODO Auto-generated catch block
 				org.txm.utils.logger.Log.printStackTrace(e);
 				return null;
 			}
 		}
-		//System.out.println("mat size : ["+(rownames.size() + extra)+"]["+colnames.size()+"]");
-		//System.out.println("rownames size : "+rownames.size());
-		//System.out.println("colnames size : "+colnames.size());
+		// System.out.println("mat size : ["+(rownames.size() + extra)+"]["+colnames.size()+"]");
+		// System.out.println("rownames size : "+rownames.size());
+		// System.out.println("colnames size : "+colnames.size());
 		return new LexicalTableImpl(mat, rownames.toArray(new String[] {}), colnames.toArray(new String[] {}));
 	}
-
-
+	
+	
 	@Override
 	protected boolean _compute() throws Exception {
-
+		
 		if (pExternData) {
 			return statsData != null;
 		}
 		// FIXME: SJ: became useless?
-		//this.statsData = null; // reset frequencies
-
+		// this.statsData = null; // reset frequencies
 		
+		
 		int vMaxFilter = this.vMaxFilter;
 		
 		if (this.parent instanceof Subcorpus) {
-
+			
 			this.subTask("Computing from Subcorpus: " + this.parent);
 			
 			Subcorpus subcorpus = (Subcorpus) this.parent;
 			CQPCorpus parentCorpus = subcorpus.getCorpusParent();
 			CQPLexicon l1 = CQPLexicon.getLexicon(parentCorpus, property, monitor, false);
 			CQPLexicon l2 = CQPLexicon.getLexicon(subcorpus, property, monitor, false);
-				
+			
 			this.statsData = new LexicalTableImpl(getNextName(), l1, l2);
 		}
 		else if (this.parent instanceof Partition) {
-
+			
 			this.subTask("Computing from Partition: " + this.parent);
-
-			this.statsData = this._computeFromPartition((Partition)this.parent);
+			
+			this.statsData = this._computeFromPartition((Partition) this.parent);
 		}
 		else if (parent instanceof PartitionIndex) {
-
+			
 			// FIXME: SJ: add 1 to vmax filter to manage the #RESTE# line when computed with corpora margins
 			// need to validate
-			if(this.useAllOccurrences)	{
+			if (this.useAllOccurrences) {
 				vMaxFilter++;
 			}
 			
 			this.subTask("Computing from Partition Index: " + this.parent);
-
-			this.statsData = this._computeFromIndexes(Arrays.asList((PartitionIndex)this.parent));
+			
+			this.statsData = this._computeFromIndexes(Arrays.asList((PartitionIndex) this.parent));
 		}
-
+		
 		if (this.statsData == null) { // no statsData computed or given
 			return false;
 		}
-
+		
 		// apply filtering
 		this.statsData.filter(vMaxFilter, this.fMinFilter);
 		// FIXME SJ: old version, < TXM 0.7.8
-		//this.statsData.cut(this.vMaxFilter);
+		// this.statsData.cut(this.vMaxFilter);
 		
 		return true;
 	}
-
+	
 	@Override
 	public boolean canCompute() {
 		// can be computed on partition or corpus
-		if(this.parent == null)	{
+		if (this.parent == null) {
 			return false;
 		}
-		if(this.property == null)	{
+		if (this.property == null) {
 			Log.finest("LexicalTable.canCompute(): can not compute with no unit property."); //$NON-NLS-1$
 			return false;
 		}
-		return true; 
+		return true;
 	}
-
+	
 	@Override
 	public boolean setParameters(TXMParameters parameters) throws CqiClientException {
-
+		
 		if (parameters.containsKey(LexicalTablePreferences.F_MIN)) {
 			this.fMinFilter = parameters.getInteger(LexicalTablePreferences.F_MIN);
 		}
@@ -403,18 +411,18 @@
 			String s = parameters.get(LexicalTablePreferences.UNIT_PROPERTY).toString();
 			this.property = getCorpus().getProperty(s);
 		}
-
+		
 		if (parameters.containsKey(LexicalTablePreferences.USE_ALL_OCCURRENCES)) {
 			this.useAllOccurrences = parameters.getBoolean(LexicalTablePreferences.USE_ALL_OCCURRENCES);
 		}
-
+		
 		if (parameters.containsKey(LexicalTablePreferences.V_MAX)) {
 			this.vMaxFilter = parameters.getInteger(LexicalTablePreferences.V_MAX);
 		}
-
+		
 		return true;
 	}
-
+	
 	/**
 	 * 
 	 * @return
@@ -422,19 +430,20 @@
 	protected static String getNextName() {
 		return SYMBOL_BASE + (LEXICALTABLE_COUNTER++);
 	}
-
+	
 	@Override
 	public void clean() {
 		try {
-			if(statsData != null)	{
+			if (statsData != null) {
 				RWorkspace.getRWorkspaceInstance().removeVariableFromWorkspace(statsData.getSymbol());
 			}
-		} catch (RWorkspaceException e) {
+		}
+		catch (RWorkspaceException e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
 	}
-
+	
 	public Vector getColMarginsVector() {
 		try {
 			return statsData.getColMarginsVector();
@@ -443,9 +452,10 @@
 			return null;
 		}
 	}
-
+	
 	/**
 	 * Gets the column names.
+	 * 
 	 * @return
 	 */
 	public Vector getColNames() {
@@ -456,97 +466,105 @@
 			return null;
 		}
 	}
-
-
+	
+	
 	public ILexicalTable getData() {
 		return statsData;
 	}
-
+	
 	@Override
 	public String getDetails() {
 		// FIXME: to do
 		return "";
 	}
-
+	
 	/**
 	 * Gets the minimum frequency filter.
+	 * 
 	 * @return
 	 */
 	public int getFMin() {
 		return statsData.getFMin();
 	}
-
+	
 	/**
 	 * Gets the maximum frequency filter.
+	 * 
 	 * @return
 	 */
 	public int getFMinFilter() {
 		return this.fMinFilter;
 	}
-
+	
 	@Override
 	public String getSimpleName() {
-//		if (statsData != null) {
-			StringBuilder strb = new StringBuilder();
-			if (property != null) {
-				strb.append(property.getName() + " ");
-				try {
-					//strb.append(this.getFMin() + " / " + this.getNRows());
-					strb.append(this.fMinFilter + " / " + this.vMaxFilter);
-				} catch (Exception e) {
-					// TODO Auto-generated catch block
-					e.printStackTrace();
-					return this.getEmptyName();
-				}
-				return strb.toString();
+		// if (statsData != null) {
+		StringBuilder strb = new StringBuilder();
+		if (property != null) {
+			strb.append(property.getName() + " ");
+			try {
+				// strb.append(this.getFMin() + " / " + this.getNRows());
+				strb.append(this.fMinFilter + " / " + this.vMaxFilter);
 			}
-			
-//		}
-		else	{
-			return this.getEmptyName();	
+			catch (Exception e) {
+				// TODO Auto-generated catch block
+				e.printStackTrace();
+				return this.getEmptyName();
+			}
+			return strb.toString();
 		}
+		
+		// }
+		else {
+			return this.getEmptyName();
+		}
 	}
-
 	
+	
 	@Override
 	public String getName() {
 		try {
 			return this.getParent().getSimpleName() + ":" + this.getSimpleName(); //$NON-NLS-1$
 		}
-		catch(Exception e) {
+		catch (Exception e) {
 		}
 		return "";
 	}
-
+	
 	/**
 	 * Gets the columns count.
+	 * 
 	 * @return
-	 * @throws Exception 
+	 * @throws Exception
 	 */
 	public int getNColumns() throws Exception {
 		if (statsData != null) {
 			return statsData.getNColumns();
-		} else if (parent instanceof Partition) {
-			return ((Partition)parent).getPartsCount();
-		}  else if (parent instanceof PartitionIndex) {
-			return ((PartitionIndex)parent).getPartition().getPartsCount();
 		}
+		else if (parent instanceof Partition) {
+			return ((Partition) parent).getPartsCount();
+		}
+		else if (parent instanceof PartitionIndex) {
+			return ((PartitionIndex) parent).getPartition().getPartsCount();
+		}
 		return 1;
 	}
-
+	
 	/**
 	 * Gets the rows count.
+	 * 
 	 * @return
-	 * @throws Exception 
+	 * @throws Exception
 	 */
 	public int getNRows() throws Exception {
 		if (statsData != null) {
 			return statsData.getNRows();
-		} else {
+		}
+		else {
 			return 0;
 		}
 	}
-
+	
 	/**
 	 * Gets the corpus used by this lexical table.
 	 * 
@@ -555,8 +573,8 @@
 	public CQPCorpus getCorpus() {
 		return CQPCorpus.getFirstParentCorpus(this);
 	}
-
 	
+	
 	/**
 	 * Gets the parent partition of this lexical table.
 	 * 
@@ -565,7 +583,7 @@
 	public Partition getPartition() {
 		return Partition.getFirstParentPartition(this);
 	}
-
+	
 	/**
 	 * Get the property this lexical table is bound to.
 	 * 
@@ -574,99 +592,104 @@
 	public WordProperty getProperty() {
 		return property;
 	}
-
+	
 	public Vector getRow(int i) throws Exception {
 		return statsData.getRow(i);
 	}
-
+	
 	public Vector getRowMarginsVector() throws Exception {
 		return statsData.getRowMarginsVector();
 	}
-
+	
 	public Vector getRowNames() throws Exception {
 		if (statsData != null) {
 			return statsData.getRowNames();
-		} else {
+		}
+		else {
 			return null;
 		}
 	}
-
-
+	
+	
 	/**
 	 * Gets the maximum number of lines filter.
+	 * 
 	 * @return the maximum number of lines filter
 	 */
 	public int getVMaxFilter() {
 		return vMaxFilter;
 	}
-
-
+	
+	
 	/**
 	 * Sets the maximum number of lines filter
+	 * 
 	 * @param vMax the maximum number of lines filter
 	 */
-	public void setVMaxFilter(int vMax)	{
+	public void setVMaxFilter(int vMax) {
 		this.vMaxFilter = vMax;
 	}
-
+	
 	/**
 	 * Sets the minimum frequency filter.
+	 * 
 	 * @param fMin
 	 */
-	public void setFMinFilter(int fMin)	{
+	public void setFMinFilter(int fMin) {
 		this.fMinFilter = fMin;
 	}
-
+	
 	/**
 	 * see LexicalTablePreferences.PROPERTY, LexicalTablePreferences.F_MIN, LexicalTablePreferences.V_MAX and LexicalTablePreferences.USEALLOCCURENCES
 	 */
-	//	public boolean setParameters(TXMParameters parameters) {
-	//		try {
-	//			if (parameters.get(LexicalTablePreferences.PROPERTY) != null) {
-	//				Object o = parameters.get(LexicalTablePreferences.PROPERTY);
-	//				if (o instanceof Property) this.pProperty = (Property) o;
-	//				else if (o instanceof String) this.pProperty = this.getCorpus().getProperty(o.toString());
-	//			}
-	//			if (parameters.get(LexicalTablePreferences.F_MIN) != null) {
-	//				Object o = parameters.get(LexicalTablePreferences.F_MIN);
-	//				if (o instanceof Integer) this.pFminFilter = (Integer)o;
-	//				else if (o instanceof String) this.pFminFilter = Integer.parseInt(o.toString());
-	//			}
-	//			if (parameters.get(LexicalTablePreferences.V_MAX) != null) {
-	//				Object o = parameters.get(LexicalTablePreferences.V_MAX);
-	//				if (o instanceof Integer) this.pVMaxFilter = (Integer)o;
-	//				else if (o instanceof String) this.pVMaxFilter = Integer.parseInt(o.toString());
-	//			}
-	//			if (parameters.get(LexicalTablePreferences.USEALLOCCURENCES) != null) {
-	//				Object o = parameters.get(LexicalTablePreferences.USEALLOCCURENCES);
-	//				if (o instanceof Boolean) this.pUseAllOccurrences = (Boolean)o;
-	//				else if (o instanceof Integer) this.pUseAllOccurrences = (Integer)o > 0;
-	//				else if (o instanceof String) this.pUseAllOccurrences = Boolean.parseBoolean(o.toString());
-	//			}
+	// public boolean setParameters(TXMParameters parameters) {
+	// try {
+	// if (parameters.get(LexicalTablePreferences.PROPERTY) != null) {
+	// Object o = parameters.get(LexicalTablePreferences.PROPERTY);
+	// if (o instanceof Property) this.pProperty = (Property) o;
+	// else if (o instanceof String) this.pProperty = this.getCorpus().getProperty(o.toString());
+	// }
+	// if (parameters.get(LexicalTablePreferences.F_MIN) != null) {
+	// Object o = parameters.get(LexicalTablePreferences.F_MIN);
+	// if (o instanceof Integer) this.pFminFilter = (Integer)o;
+	// else if (o instanceof String) this.pFminFilter = Integer.parseInt(o.toString());
+	// }
+	// if (parameters.get(LexicalTablePreferences.V_MAX) != null) {
+	// Object o = parameters.get(LexicalTablePreferences.V_MAX);
+	// if (o instanceof Integer) this.pVMaxFilter = (Integer)o;
+	// else if (o instanceof String) this.pVMaxFilter = Integer.parseInt(o.toString());
+	// }
+	// if (parameters.get(LexicalTablePreferences.USEALLOCCURENCES) != null) {
+	// Object o = parameters.get(LexicalTablePreferences.USEALLOCCURENCES);
+	// if (o instanceof Boolean) this.pUseAllOccurrences = (Boolean)o;
+	// else if (o instanceof Integer) this.pUseAllOccurrences = (Integer)o > 0;
+	// else if (o instanceof String) this.pUseAllOccurrences = Boolean.parseBoolean(o.toString());
+	// }
 	//
-	//			dirty = true;
-	//		} catch (Exception e) {
-	//			System.out.println("Error while setting LexicalTable parameters: "+e.getLocalizedMessage());
-	//			Log.printStackTrace(e);
-	//			return false;
-	//		}
-	//		return true;
-	//	}
-
+	// dirty = true;
+	// } catch (Exception e) {
+	// System.out.println("Error while setting LexicalTable parameters: "+e.getLocalizedMessage());
+	// Log.printStackTrace(e);
+	// return false;
+	// }
+	// return true;
+	// }
+	
 	public boolean toTxt(File outfile, String encoding, String colseparator, String txtseparator) {
 		return statsData.toTxt(outfile, encoding, colseparator, txtseparator);
 	}
-
-
+	
+	
 	/**
 	 * Sets the unit property.
+	 * 
 	 * @param property
 	 */
-	public void setUnitProperty(WordProperty property)	{
+	public void setUnitProperty(WordProperty property) {
 		this.property = property;
 	}
-
-
+	
+	
 	public void setParameters(WordProperty prop, Integer fmin, Integer vmax, Boolean useAllOccurrences) {
 		if (prop != null) {
 			this.property = prop;
@@ -682,22 +705,23 @@
 		}
 		this.dirty = true;
 	}
-
-
+	
+	
 	/**
 	 * @param useAllOccurrences the useAllOccurrences to set
 	 */
 	public void setUseAllOccurrences(boolean useAllOccurrences) {
 		this.useAllOccurrences = useAllOccurrences;
 	}
-
+	
 	@Override
 	public String getResultType() {
 		return LexicalTableCoreMessages.RESULT_TYPE;
 	}
-
+	
 	/**
 	 * Use this method to set manually data to the lexical table
+	 * 
 	 * @param lexicalTableImpl external data to use. If null the table will be computed using its parent
 	 */
 	public void setData(LexicalTableImpl lexicalTableImpl) {
